package com.zhentao.controller;

import com.zhentao.Dto.CommonRequest;
import com.zhentao.pojo.Goods;
import org.springframework.http.ResponseEntity;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;

import javax.validation.Valid;
import java.util.HashMap;
import java.util.Map;
import java.util.Objects;

@RestController
@RequestMapping("goods")
@Validated
public class GoodsController {



    @PostMapping("/api1")
    public ResponseEntity<Map<String, Object>> api1(
            @RequestHeader("reqId") String reqId,
            @Valid @RequestBody CommonRequest request) {

        Map<String, Object> response = new HashMap<>();
        response.put("code", 200);
        response.put("message", "接口1调用成功");
        response.put("data", request);

        return ResponseEntity.ok(response);
    }
    @GetMapping("/api2")
    public ResponseEntity<Map<String, Object>> api2(
            @RequestHeader("reqId") String reqId,
            @Valid CommonRequest request) {

        Map<String, Object> response = new HashMap<>();
        response.put("code", 200);
        response.put("message", "接口2调用成功");
        response.put("data", request);

        return ResponseEntity.ok(response);
    }
}
